Bezpečnostní aktualizace 2010-007

Bezpečnostní aktualizace 2010-007

Součástí aktualizace operačního systému na verzi Mac OS X 10.6.5 je také bezpečnostní aktualizace 2010-007. Bezpečnostní aktualizace řeší řadu problémů se sdílením souborů, AppKitem, knihovnou pro práci s písmy ATS, aktualizace konečně zvyšuje verzi Flash přehrávače na 10.1.102.64 a další. Nechybí ani oprava chyb v QuickTimu, Safari, Time Machine a některých komponent převzatých z unixových systému jako X11, gzip atd.

A ještě několik postřehů k bezpečnostním aktualizacím. Všimněte si, že (pokud jsem správně počítal) pouze 11 chyb z 56 našel Apple, 27 chyb našli nezávislí vývojáři a bezpečnostní specialisté a 18 chyb je bez uvedení kreditu (z různých důvodů, např. se jednalo o opravu chyby z open source komunity, objevitel chyby nechtěl být uveden nebo se zde Apple nechtěl podepsat sám). Navíc několik z chyb, které nalezl Apple vypadá, že jde o variantu chyby, kterou již nalezli jiní a nebo se na ni přišlo při hledání důvodu zjištění bezpečnostní chyby. Opět se objevily stížnosti na pomalé řešení již známých chyb (viz CVE-2010-4010). Zajímavá je chyba s označením CVE-2010-1836, vypadá to, že se zde projevily výhody 64-bit systému a chyba je zneužitelná pouze na 32-bitových systémech.

Podívejme se však na tyto opravy podrobněji:

AFP Server

  • CVE-ID: CVE-2010-1828
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený útočník může způsobit pád AFP serveru
  • Popis: Při zpracování paketů opětovného připojení AFP server používá chybně ukazatel. Vzdálený útočník může způsobit pád AFP Serveru. Mac OS X automaticky restartuje AFP Server po výpadku. Tento problém je vyřešen lepší kontrolou paketů. Kredit: Apple.
  • CVE-ID: CVE-2010-1829
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Autorizovaný uživatel může spustit nežádoucí kód
  • Popis: AFP server dovoluje autorizovanému uživateli dostat se mimo sdílený prostor s právy uživatele. Se systémovým nastavením, kdy uživatelům je dovolen pouze vzdálený přístup k souborům to může vést ke spuštění nežádoucího kódu. Tento problém je vyřešen lepší kontrolou cesty. Kredit: Apple
  • CVE-ID: CVE-2010-1830
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený uživatel může detekovat existenci AFP sdíleného prostoru
  • Popis: Chyba při zpracování výjimek v AFP Serveru umožňuje útočníkovi určit, zda existuje AFP sdílený disk daného jména. Problém je vyřešen lepšími zprávami během chybného spojení. Kredit: Apple.

Apache mod_perl

  • CVE-ID: CVE-2009-0796
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený útočník může využít cross-site scripting k útoku na server
  • Popis: V modulu mod%perl, který kóduje HTML výstup perlové stránky /perl-status je chyba umožňující cross-site skripting. Útočník může využít této chyby a vložit svůj kód do kódu v kontextu stránky na stránce serverované Apachem. Problém se neobjevuje u základní konfigurace, kde je stavová stránka vypnutá. Problém je vyřešen správným escapováním HTML výstupu.

Apache

  • CVE-ID: CVE-2010-0408, CVE-2010-0434
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Více chyb v Apache webserveru 2.2.14
  • Popis: Apache je upgradován na verzi 2.2.15, aby se vyřešila řada bezpečnostních problémů, nejvážnější z nich vede k odmítnutí služby. Další informace jsou dostupné přes www stránky projektu Apache na adrese http://httpd.apache.org/.

AppKit

  • CVE-ID: CVE-2010-1842
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vykreslení obousměrného řetězce vyžadujícího ořezání může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: Chyba přetečení bufferu v AppKitu může způsobit pád aplikace při vykreslování řetězce s obousměrným textem, který je ořezán elipsou. AppKit pak může aplikovat nevhodně vypočítaný tvar. Výsledkem pak může být pád aplikace nebo spuštění nebezpečného kódu. Problém je řešen lepším výpočtem tvaru. Kredit: Jesse Ruderman z Mozilla Corporation

ATS

  • CVE-ID: CVE-2010-1831
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení nebo stažení dokumentu obsahující upravené písmo může vést ke spuštění nebezpečného kódu
  • Popis: Apple Type Services obsahují chybu přetečení bufferu projevující se při práci s vloženými písmy dlouhých jmen. Zobrazení nebo stažení dokumentu obsahující upravené písmo může vést ke spuštění nežádoucího kódu. Problém je vyřešen lepší kontrolou hranic.
  • CVE-ID: CVE-2010-1832
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení nebo stažení dokumentu obsahující upravené písmo může vést ke spuštění nebezpečného kódu
  • Popis: Apple Type Services obsahují chybu přetečení stacku projevující se při práci s vloženými písmy. Zobrazení nebo stažení dokumentu obsahující upravené písmo může vést ke spuštění nežádoucího kódu. Problém je vyřešen lepší kontrolou hranic. Na Mac OS X 10.6 je problém zcela eliminován použitím přepínače -fstack-protector při kompilaci. Kredit: Apple
  • CVE-ID: CVE-2010-1833
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení nebo stažení dokumentu obsahující upravené písmo může vést ke spuštění nebezpečného kódu
  • Popis: Apple Type Services obsahují chybu poškození paměti projevující se při práci s vloženými písmy. Zobrazení nebo stažení dokumentu obsahující upravené písmo může vést ke spuštění nežádoucího kódu. Problém je vyřešen lepší kontrolou hranic a na starší systémech se neobjevuje. Kredit: Marc Schoenefeld z Red Hatu a Chrstoph Diehl z Mozilly
  • CVE-ID: CVE-2010-4010
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta
  • Dopad: Zobrazení nebo stažení dokumentu obsahující upravené CCF písmo může vést ke spuštění nebezpečného kódu
  • Popis: Apple Type Services špatně pracují s velikostí typu proměnné, což se projevuje při zpracovávání CCF (Compact Font Format) písem. Zobrazení nebo stažení dokumentu obsahující upravené CCF písmo může vést ke spuštění nežádoucího kódu. Problém je vyřešen lepší prací s CCF písmy, problém se neobjevuje u Mac OS X 10.6. Tato chyba je popsána v článku z 10.11.2010. Kredit: Matias Eissler a Aniabal Sacco z Core Security Technologies.

CFNetwork

  • CVE-ID: CVE-2010-1752
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Navštívení nebezpečné stránky může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: CFNetwork knihovna obsahuje chybu přetečení stacku při zpracování kódu. Navštívením upravené www stránky může pak vést k pádu aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrolou hranic. Kredit: Laurent OUDOT z TEHTRI-Security a Neil Fryer z IT Security Geeks.
  • CVE-ID: CVE-2010-1834
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Navštívení nebezpečné stránky může vést k nastavení cookies u nesprávného serveru
  • Popis: CFNetworks mělo špatně implementováno zpracování doménových specifikací v cookies. CFNetwork dovoluje, aby bylo cookie nastaveno pro částečnou IP adresu. Nebezpečné www stránky tak mohou nastavit cookie, které bude odeslány serveru třetí strany, pokud se ke serveru přistupuje pomocí IP adresy. Aktualizace řeší problém lepší kontrolou domén specifikovaných v cookies.

CoreGraphics

  • CVE-ID: CVE-2010-1836
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Otevření upraveného PDF dokumentu může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: Chyba přetečení stacku v CoreGraphics při práci s PDF soubory, může vést k ukončení aplikace. Na 32-bitových systémech také ke spuštění nežádoucího kódu. Problém je vyřešen lepší kontrolou hranic a kontroly chyb. Kredit: Andrew Kiss

CoreText

  • CVE-ID: CVE-2010-1837
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Otevření upraveného PDF dokumentu může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: Při práci se soubory s písmy pomocí knihovny CoreText dochází k poškození paměti. Zobrazení upraveného PDF souboru může vést k pádu aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrolou souborů s písmy. Kredit: Apple

CUPS

  • CVE-ID: CVE-2010-2941
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený útočník může způsobit pád aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci s Internet Printing Protocolem (IPP) dochází k poškození paměti v CUPSu. Odeslání upraveného IPP požadavku, vzdálený útočník může způsobit neočekávaný konec aplikace nebo spuštění nežádoucího kódu. Problém je vyřešen lepší správou paměti. Problém může být spuštěn i vzdáleně, pokud má tiskárna zapnuté sdílení. Sdílení tiskárny není standardně zapnuto. Kredit: Emanuel Bouillon z NATO C3 Agency.

Directory Services

  • CVE-ID: CVE-2010-1838
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Lokální útočník může objetí ověření hesla a přihlásit se k mobilnímu účtu
  • Popis: Chyba v Directory Services umožňuje lokálnímu uživateli se znalostí potlačeného mobilního účtu nebo mobilního účtu, který dovoluje omezené množství přihlášení, obejít ověření hesla a přihlásit se k účtu. Problém je vyřešen lepší kontrolou potlačených účtů.
  • CVE-ID: CVE-2010-1840
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Útočník může způsobit pád aplikace nebo spuštění nebezpečného kódu.
  • Popis: Chyba přetečení stacku v Directory Services při ověřování hesla může způsobit, že útočník bude schopen způsobit pád aplikace nebo spuštění nežádoucího kódu. Problém je vyřešen lepší kontrolou hranic. Kredit: Rodrigo Rubira Branco z Check Point Vulnerability Discovery Team (VDT) a Rainer Mueller

diskdev_cmds

  • CVE-ID: CVE-2010-0105
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Lokální uživatel může zabránit systému ve správném naběhnutí
  • Popis: Funkce fsck_hfs špatně implementuje zpracování adresářového stromu. Lokální uživatel může být díky tomu schopen zabránit správnému startu systému. Problém je vyřešen lepší kontrolou adresářového stromu. Kredit: Maksymilian Arciemowicz ze SecurityReason

Disk Images

  • CVE-ID: CVE-2010-1841
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Otevření upraveného diskového obrazu může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: Při zpracování UDIF diskových obrazů může dojít k poškození paměti. Otevřením upraveného diskového obrazu může vést k pádu aplikace nebo spuštění nežádoucího kódu. Problém je vyřešen lepší kontrolou UDIF diskových obrazů. Kredit: Marc Schoenefeld z Red Hatu

Flash přehrávač

  • CVE-ID: CVE-2008-4546, CVE-2009-3793, CVE-2010-0209, CVE-2010-1297, CVE-2010-2160, CVE-2010-2161, CVE-2010-2162, CVE-2010-2163, CVE-2010-2164, CVE-2010-2165, CVE-2010-2166, CVE-2010-2167, CVE-2010-2169, CVE-2010-2170, CVE-2010-2171, CVE-2010-2172, CVE-2010-2173, CVE-2010-2174, CVE-2010-2175, CVE-2010-2176, CVE-2010-2177, CVE-2010-2178, CVE-2010-2179, CVE-2010-2180, CVE-2010-2181, CVE-2010-2182, CVE-2010-2183, CVE-2010-2184, CVE-2010-2185, CVE-2010-2186, CVE-2010-2187, CVE-2010-2189, CVE-2010-2188, CVE-2010-2213, CVE-2010-2214, CVE-2010-2215, CVE-2010-2216, CVE-2010-2884, CVE-2010-3636, CVE-2010-3638, CVE-2010-3639, CVE-2010-3640, CVE-2010-3641, CVE-2010-3642, CVE-2010-3643, CVE-2010-3644, CVE-2010-3645, CVE-2010-3646, CVE-2010-3647, CVE-2010-3648, CVE-2010-3649, CVE-2010-3650, CVE-2010-3652, CVE-2010-3654, CVE-2010-3976
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Více bezpečnostních chyb ve Flash přehrávači
  • Popis: Více chyb ve Flash Přehrávači, nejvážnější vede ke spouštění nebezpečného kódu. Problém je vyřešen aktualizací na verzi 10.1.102.64. Další informace jsou k dispozici na stránkách Adobe http://www.adobe.com/support/security/.

gzip

  • CVE-ID: CVE-2010-0001
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Rozbalení upraveného archívu může vést k pádu aplikace nebo spuštění nebezpečného kódu.
  • Popis: Chyba přetečení integeru při práci s LZW kompresí může vést k pádu aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrlou hranic. Problém se neobjevuje před Mac OS X 10.6. Kredit: Aki Helin z Oulo University Secure Programming Group
  • CVE-ID: CVE-2009-2624
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Rozbalení upraveného archívu může vést k pádu aplikace nebo spuštění nebezpečného kódu.
  • Popis: Chyba přetečení bufferu v gzip aplikaci může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší správou paměti.

Image Capture

  • CVE-ID: CVE-2010-1844
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Stažení upraveného obrázku může vést k pádu systému
  • Popis: Image Capture může za určitých okolností zcela vyčerpat dostupnou paměť. Stažení upraveného obrázku tak může vést k pádu operačního systému. Problém je vyřešen kontrolou vstupní parametrů. Tento problém se neobjevuje v systémech před Mac OS X 10.6. Kredit: Steven Fisher z Discovery Software Ltd.

ImageIO

  • CVE-ID: CVE-2010-1845
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Stažení upraveného PSD obrázku může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: Při práci s PSD obrázky může dojít v ImageIO k několika možných poškozením paměti. Zobrazení upravených PSD souborů může vést k pádu aplikace nebo spuštění nebezpečného kódu. Tyto problémy jsou vyřešeny lepší kontrolou PSD obrázků. Kredit: Dominic Chell z NGSSoftware
  • CVE-ID: CVE-2010-1811
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Stažení upraveného TIFF obrázku může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: Při práci s TIFF obrázky může dojít v ImageIO k přetečení bufferu. Zobrazení upravených TIFF souborů může vést k pádu aplikace nebo spuštění nebezpečného kódu. Tyto problémy jsou vyřešeny lepší kontrolou hranic. Kredit: Apple
  • CVE-ID: CVE-2010-2249, CVE-2010-1205
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Více chyb v knihovně libpng
  • Popis: Knihovna libpng je aktualizovaná na verzi 1.4.3, aby se vyřešilo více bezpečnostních problémů z nichž nejvážnější může vést ke spuštění nebezpečného kódu. Další informace jsou k dispozici na stránkách projektu libpng http://www.libpng.org/pub/png/libpng.html

Image RAW

  • CVE-ID: CVE-2010-1846
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazením upraveného RAW obrázku může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: Při zpracování RAW obrázků může dojít k přetečení bufferu. Zobrazení upraveného RAW obrázku tak může vést k pádu aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrolou hranic. Kredit: Apple

Kernel

  • CVE-ID: CVE-2010-1847
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Lokální uživatel může způsobit vypnutí systému
  • Popis: Problém se správou paměti při práci s terminálovými zařízeními může dovolit uživateli způsobit neočekávané vypnutí systému. Problém je vyřešen lepší správou paměti.

MySQL

  • CVE-ID: CVE-2010-1847
  • Pro: Mac OS X 10.5.8 Server, Mac OS X 10.6.0-10.6.4 Server
  • Dopad: Více chyb v MySQL 5.0.88
  • Popis: MySQL je aktualizován na verzi 5.0.91, aby se vyřešily problémy, z nichž nejvážnější může vést ke spuštění nebezpečného kódu. MySQL se dodává pouze s Mac OS X Serverem. Další informace jsou dostupné přes stránky MySQL http://dev.mysql.com/doc/refman/5.0/en/news-5-0-91.html

neon

  • CVE-ID: CVE-2009-2473, CVE-2009-2474
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Více chyb v neon 0.28.3
  • Popis: neon byl aktualizován na verzi 0.28.6, aby se vyřešila řada problémů. Nejvážnější umožňoval útok man-in-the-middle a získávat tak uživatelské údaje a další citlivé informace. Další informace jsou na stránkách projektu neon http://www.webdav.org/neon/

Síť

  • CVE-ID: CVE-2010-1843
  • Pro: Mac OS X 10.6.2-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený útočník může vypnout počítač
  • Popis: Chyba v použití ukazatele při práci s Protocol Independent Multicast (PIM) packety, může způsobit, že upravený PIM packet vypne server. Problém je vyřešen lepší kontrolou PIM packetů. Problém se neobjevuje před Mac OS X 10.6.2. Kredit: anonymní výzkumík v TippingPoint Zero Day Initiative

OpenLDAP

  • CVE-ID: CVE-2010-0211
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený útočník může způsobit odmítnutí služby nebo spuštění nebezpečného kódu
  • Popis: Chyba ve správě paměti v OpenLDAPu umožňuje útočníkovi při speciálním dotazu způsobit odmítnutí služby nebo spuštění nežádoucího kódu. Problém je vyřešen lepší správou paměti
  • CVE-ID: CVE-2010-0212
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený útočník může způsobit odmítnutí služby
  • Popis: Chyba v použití ukazatele v OpenLDAPu umožňuje útočníkovi při speciálním dotazu způsobit odmítnutí služby. Problém je vyřešen lepší správou paměti. Kredit: Ilkka Mattila a Tuomas Salomaki

OpenSSL

  • CVE-ID: CVE-2010-1378
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený uživatel může obejít TLS autentifikaci nebo podvrhnout důvěryhodný server
  • Popis: Aritmetická chyba v ověřování OpenSSL certifikace může vést k tomu, že vzdálený uživatel může objetí validační kroky certifikátu a způsobit, že OpenSSL akceptuje certifikát podepsaný důvěryhodnou autoritou jako platný. Problém je vyřešen lepší kontrlou certifikátů. Problém se neobjevuje před Mac OS X 10.6. Problém je pouze v Mac OS X distribuci OpenSSL. Kredit: Ryan Govostes z RPISEC

Password Server

  • CVE-ID: CVE-2010-3783
  • Pro: Mac OS X 10.5.8 Server, Mac OS X 10.6.0-10.6.4 Server
  • Dopad: Vzdálený útočník se může připojit se starým heslem
  • Popis: Implementační chyba v Password Serveru při práci s replikací může způsobit, že se nové heslo nereplikuje. Vzdálený utočník se tak může připojit starým heslem. Problém je vyřešen vylepšením replikace hesel. Kredit: Apple

PHP

  • CVE-ID: CVE-2010-0397, CVE-2010-2531
  • Pro: Mac OS X 10.6.0-10.6.4 Server i Klient
  • Dopad: Více chyb v PHP 5.3.2
  • Popis: PHP je aktualizováno na verzi 5.3.3, aby se vyřešila řada bezpečnostních chyb. Nejvážnější vede ke spuštění nežádoucího kódu. Další informace jsou na stránkách PHP projektu http://www.php.net/
  • CVE-ID: CVE-2010-0397, CVE-2010-2531, CVE-2010-2484
  • Pro: Mac OS X 10.5.8 Server i Klient
  • Dopad: Více chyb v PHP 5.2.12
  • Popis: PHP je aktualizováno na verzi 5.2.14, aby se vyřešila řada bezpečnostních chyb. Nejvážnější vede ke spuštění nežádoucího kódu. Další informace jsou na stránkách PHP projektu http://www.php.net/

Tisk

  • CVE-ID: CVE-2010-3784
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Aplikace, které používají API PMPageFormatCreateWithDataRepresentation mohou být náchylné na pády
  • Popis: Při zpracování XML dat pomocí API PMPageFormatCreateWithDataRepresentation dochází ke špatnému využívání ukazatele. Aplikace, které používají toto API mohou být náchylé na neočekávané pády. Problém je vyřešen lepší kontrolou XML dat. Kredit: Wujun z Microsoftu

python

  • CVE-ID: CVE-2009-4134, CVE-2010-1449, CVE-2010-1450
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Python aplikace, využívající moduly rgbimg a audiooop mohou být náchylné k pádům či spouštění kódu
  • Popis: Více chyb přetečení integeru v modulech rgbimg a audiooop může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problémy jsou vyřešeny lepší kontrolou hranic

QuickLook

  • CVE-ID: CVE-2010-3785
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Stažení upraveného MS Office souboru může vést k pádu aplikace nebo spuštění nebezpečného kódu
  • Popis: QuickLook při zpracování MS Office souborů obsahuje chybu přetečení bufferu, to může způsobit pád aplikace nebo spuštění nežádoucího kódu. Aktualizace řeší problém lepší kontrolou hranic. Kredit: Apple
  • CVE-ID: CVE-2010-3786
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Stažení upraveného Excel souboru může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Chyba poškození paměti v QuickLooku může při práci s Excel soubory způsobit pád aplikace nebo spuštění nežádoucího kódu. Problém se neobjevuje na systémech před Mac OS X 10.6. Kredit: Tobias Klein z VeriSign iDefense Lbas

QuickTime

  • CVE-ID: CVE-2010-3788
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení upraveného JP2 obrázku může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci s JP2 formátem, QuickTime neinicializuje paměť. To může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrolou JP2 obrázků. Kredit: Damina Put a Procyun z TippingPoint Zero Day Initiative
  • CVE-ID: CVE-2010-3789
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení upraveného filmu může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci s filmy, QuickTime poškozuje paměť. To může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrlou filmových souborů. Kredit: Honggang Ren z Fortinet's FortiGuard Labs
  • CVE-ID: CVE-2010-3791
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení upraveného filmu může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci s MPEG filmy dochází u QuickTime za určitých podmínek k chybě přetečení bufferu. To může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrlou filmových souborů. Kredit: anonymní výzkumník v TippingPoint Zero Day Initiative
  • CVE-ID: CVE-2010-3792
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení upraveného filmu může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci s MPEG filmy dochází u QuickTime za určitých podmínek k chybě přetečení proměnné. To může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrlou filmových souborů. Kredit: anonymní výzkumník v TippingPoint Zero Day Initiative
  • CVE-ID: CVE-2010-3793
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení upraveného filmu může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci se Sorenson filmy dochází u QuickTime za určitých podmínek k poškození paměti. To může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrlou filmových souborů. Kredit: anonymní výzkumník v TippingPoint Zero Day Initiative a Carsten Eiram ze Secunia Research
  • CVE-ID: CVE-2010-3794
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení upraveného FlashPix obrázku může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci se FlashPix obrázky dochází u QuickTime za určitých podmínek k přístupu k neinicializované paměti. To může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrlou filmových souborů. Kredit: anonymní výzkumník v TippingPoint Zero Day Initiative
  • CVE-ID: CVE-2010-3795
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Zobrazení upraveného GIF obrázku může vést k pádu aplikace nebo spuštění nežádoucího kódu
  • Popis: Při práci se GIF obrázky dochází u QuickTime za určitých podmínek k přístupu k neinicializované paměti. To může způsobit pád aplikace nebo spuštění nebezpečného kódu. Problém je vyřešen lepší kontrlou filmových souborů. Kredit: anonymní výzkumník v TippingPoint Zero Day Initiative

Safari RSS

  • CVE-ID: CVE-2010-3796
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Přistoupení k upravenému "feedu" může vést k odhalení citlivých informací
  • Popis: V RSS jsou povoleny javové applety. Protože Javové applety mohou modifikovat nahrávaný DOM, přístoupení k upravenému "feed:/" URL může vést k odhalení citlivých údajů. Problém byl vyřešen zákazem Java appletů v RSS. Kredit: Jason Hullinger z IOActive

Time Machine

  • CVE-ID: CVE-2010-1803
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Vzdálený útočník může přistupovat k informacím uživatele v Time Machine
  • Popis: Uživatel může nastavit vzdálený AFP disk pro Time Machine zálohování. Time Machine nekontroluje, zda stejné fyzické zařízení již není používáno pro zálohovací operace. Útočník, který je schopen podvrhnout vzdálený AFP disk může získat přístup k zálohovaným informacím uživatele. Problém je vyřešen kontrolou unikátního identifikátoru přiřazenému disku pro zálohování. Problém se neobjevuje u systémů Mac OS X 10.5.

Wiki Server

  • CVE-ID: CVE-2010-3797
  • Pro: Mac OS X 10.5.8 Server, Mac OS X 10.6.0-10.6.4 Server
  • Dopad: Uživatel, který může upravovat wiki stránky, může získat přihlašovací údaje jiného uživatele
  • Popis: WikServer umožňuje JavaScript injection. Uživatel, který může upravovat wiki stránky tak může získat přihlašovací údaje jiného uživatele, který navštíví upravovanou stránku. Problém je vyřešen lepší kontrolou vstupů. Problém se vyskytuje pouze u Mac OS X Serveru. Kredit: Apple

X11

  • CVE-ID: CVE-2010-1205, CVE-2010-2249, CVE-2010-0205
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Více chyb v knihovně libpng ve verzi 1.2.41
  • Popis: V knihovně libpng ve verzi 1.2.41 je větší množství chyb z nichž nejvážnější vede ke spuštění nebezpečného kódu. Problém je vyřešen aktualizací na verzi 1.2.44. Další informace jsou k dispozici přes stránky projektu libpng http://www.libpng.org/pub/png/libpng.html
  • CVE-ID: CVE-2009-0946, CVE-2010-2497, CVE-2010-2498, CVE-2010-2499, CVE-2010-2500, CVE-2010-2519, CVE-2010-2520, CVE-2010-2805, CVE-2010-2806, CVE-2010-2807, CVE-2010-2808, CVE-2010-3053, CVE-2010-3054
  • Pro: Mac OS X 10.5.8 včetně Serveru i Klienta, Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Více chyb v knihovně FreeType 2.3.9
  • Popis: V knihovně FreeType ve verzi 2.3.9 je větší množství chyb z nichž nejvážnější vede ke spuštění nebezpečného kódu při práci s upraveným písmem. Problém je vyřešen aktualizací na verzi 2.4.2. Další informace jsou k dispozici přes stránky projektu FreeType http://www.freetype.org/

xar

  • CVE-ID: CVE-2010-3798
  • Pro: Mac OS X 10.6.0-10.6.4 včetně Serveru i Klienta
  • Dopad: Rozbalení upraveného xar archívu může vést k pádu aplikace nebo spuštění kódu
  • Popis: Xar obsahuje chybu přetečení heap bufferu, která může vést k pádu aplikace nebo spuštění nebezpečného kódu při rozbalování upraveného xar archívu. Problém ej vyřešen lepší kontrolou hranic. Problém se nevyskytuje u systému před Mac OS X 10.6. Kredit: Apple
Poslat Bezpečnostní aktualizace 2010-007 na facebook
Publikováno 12.11.2010
 

Změna barev | Autorská práva | Kontakt | Podpora | RSS kanály
© 2006 Gandalf, Design by Mirek
Creative Commons License